

/* bubble sort function */
void bubble_sort(unsigned char *mydata ,int len)
{
	int i,j;
	unsigned char tmp;
	
	for (i=0;i<len-1;i++) 
	{
		for (j=0;j<len-i-1;j++) 
		{
			if (mydata[j] < mydata[j+1]) 
			{
				tmp = mydata[j];
				mydata[j] = mydata[j+1];
				mydata[j+1] = tmp;
			}
		}
	}
	return;
}
